summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2015-09-30 20:53:57 +0000
committerPatrice Clement <monsieurp@gentoo.org>2015-09-30 22:50:27 +0000
commitc4419ed83a501b3f8b9b4ca4e7f91cbc5b7b1972 (patch)
treec3b8c0e3345bdedf6ebe5f2393fdc1966a80fec8 /dev-java/jackson
parentapp-text/dos2unix: Removed old. (diff)
downloadgentoo-c4419ed83a501b3f8b9b4ca4e7f91cbc5b7b1972.tar.gz
gentoo-c4419ed83a501b3f8b9b4ca4e7f91cbc5b7b1972.tar.bz2
gentoo-c4419ed83a501b3f8b9b4ca4e7f91cbc5b7b1972.zip
dev-java/jackson: Version bump.
Package-Manager: portage-2.2.18 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Diffstat (limited to 'dev-java/jackson')
-rw-r--r--dev-java/jackson/Manifest1
-rw-r--r--dev-java/jackson/jackson-2.5.2.ebuild51
2 files changed, 52 insertions, 0 deletions
diff --git a/dev-java/jackson/Manifest b/dev-java/jackson/Manifest
index 240b0d83ee5..87c3c5d969d 100644
--- a/dev-java/jackson/Manifest
+++ b/dev-java/jackson/Manifest
@@ -1,2 +1,3 @@
DIST jackson-core-2.5.1.tar.gz 267908 SHA256 576a103f24abedba09e83cd5fa6d2a00a25deec627e29e1d8e9c38382a057f85 SHA512 bb2c3f25eb76d4acd5fed0d5d666af572f6e66b6eb0cb37b26da405d8230b92204d9b6282dda2c2c16fd3059da9aa1c0f9a4a93b3be73e99f0277befd0d6e499 WHIRLPOOL b089c0e37153ad63dcc6af705d57a2a35124b35db283761b40c0558af42b1009b58232eec99fbb1c79ea2896f21f687af226ab604d2bf4eab8d4f365563c69e7
+DIST jackson-core-2.5.2.tar.gz 269203 SHA256 ce73ab90268238edb4b400206f2e33912966bf91755b76696e0eb5842fdf5e91 SHA512 65e4569818906989d1239e4aad2fe12b20f068f786bd7cb19da0e69ab7e4776b7b385a0cbaae50f95d98766a3e249f32aab9bac59947c42179330ed68279a024 WHIRLPOOL 4484c981fb2f7a7243ed3ae511f36166adb12dabc8d075861af7a3b0c12c448927d366d0e29d80d7ff94a154fbc54df771f6a68866d53d68fa4d158d9a2e5eab
DIST jackson-core-lgpl-1.9.13-sources.jar 240367 SHA256 f4dad3a1b9a20fbcfd375034309e717e16740c3d770725037f165ef2cfe852bd SHA512 eae08be1f72e868a41423a67abc0af4b63365cb98bdebff4178c8b89fdfaf24324aacec1c95b1bb3d04da0b18c2fe05c87fbe6601a52c9cdbf4a8d3de3457542 WHIRLPOOL bbf02776cfef330e6283569ba0caca323846cd4562c80e6671a6e47e4afead5fc5c5e7cca95feb9d461e560285fab301f65f33cadab1ef039ece78a6fc39e8f5
diff --git a/dev-java/jackson/jackson-2.5.2.ebuild b/dev-java/jackson/jackson-2.5.2.ebuild
new file mode 100644
index 00000000000..183c9970f3f
--- /dev/null
+++ b/dev-java/jackson/jackson-2.5.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+JAVA_PKG_IUSE="doc source test"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="High-performance JSON processor"
+HOMEPAGE="https://github.com/FasterXML/jackson-core"
+SRC_URI="https://github.com/FasterXML/${PN}-core/archive/${PN}-core-${PV}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="2"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=">=virtual/jre-1.5"
+DEPEND=">=virtual/jdk-1.5
+ test? ( dev-java/junit:4 )"
+
+S="${WORKDIR}/${PN}-core-${PN}-core-${PV}/src"
+JAVA_SRC_DIR="main/java"
+
+java_prepare() {
+ sed -e 's:@package@:com.fasterxml.jackson.core.json:g' \
+ -e "s:@projectversion@:${PV}:g" \
+ -e 's:@projectgroupid@:com.fasterxml.jackson.core:g' \
+ -e 's:@projectartifactid@:jackson-core:g' \
+ "${S}/main/java/com/fasterxml/jackson/core/json/PackageVersion.java.in" \
+ > "${S}/main/java/com/fasterxml/jackson/core/json/PackageVersion.java" || die
+}
+
+src_install() {
+ java-pkg-simple_src_install
+ dodoc ../README.md ../release-notes/{CREDITS,VERSION}
+}
+
+src_test() {
+ cd test/java || die
+
+ local CP=".:../resources:${S}/${PN}.jar:$(java-pkg_getjars junit-4)"
+ local TESTS=$(find * -name "Test*.java")
+ TESTS="${TESTS//.java}"
+ TESTS="${TESTS//\//.}"
+
+ ejavac -cp "${CP}" -d . $(find * -name "*.java")
+ ejunit4 -classpath "${CP}" ${TESTS}
+}